﻿using Syncfusion.SfPdfViewer.XForms;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace ExportAsImage
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();
            SetImage();
        }

        private async void SetImage()
        {
            byte[] bytes = new WebClient().DownloadData("http://www.africau.edu/images/default/sample.pdf");

            var pdfViewerControl = new SfPdfViewer();
            pdfViewerControl.LoadDocument(new MemoryStream(bytes));
            Stream stream = pdfViewerControl.ExportAsImage(0, 2.0f);
            var list = pdfViewerControl.ExportAsImage(0, 1);
            stream.Position = 0;
            MyImage.Source = ImageSource.FromStream(() => stream);
        }
    }
}
